Bug 462458 - Review Request: drupal-workspace - Allows users to have a central place to view and manage their content
Review Request: drupal-workspace - Allows users to have a central place to vi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-16 10:07 EDT by Gwyn Ciesla
Modified: 2009-11-16 02:37 EST (History)
2 users (show)

See Also:
Fixed In Version: 6.x.1.4-2.rc1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-16 02:36:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gwyn Ciesla 2008-09-16 10:07:20 EDT
Each user has his/her own workspace, which is accessible by following a 
"My workspace" link in the main site navigation, just like the 
"My account" link. The workspace interface is tabbed (in the Drupal 
6.x version) and shows Content, Comments, and Attachments (attachments 
are files the user has uploaded with Drupal core's upload module).

SRPM: http://zanoni.jcomserv.net/fedora/drupal-workspace/drupal-workspace-6.x.1.3-0.fc9.src.rpm
SPEC: http://zanoni.jcomserv.net/fedora/drupal-workspace/drupal-workspace.spec
Comment 1 Jason Tibbitts 2009-07-31 22:54:52 EDT
Wow, this is an old one.  I know nothing of drupal and there are no specific packaging guidelines to go by, but I suppose I could look at existing approved packages for guidance.  However:

The currently recommended version seems to be 1.4 rc1 or somesuch.  (Not unexpected since this ticket is 10.5 months old.)  Should it be updated before review?

Where do you see that the license is restricted to GPLv2 only?  I just see a copy of the GPL with no statement of the version in use, which would imply GPL+.  Is there a more explicit indication of the license that I'm missing?
Comment 3 Jason Tibbitts 2009-11-08 13:42:41 EST
I'm back to looking over ancient review tickets again.  Again, I know zilch about dupal, but nobody else has looked at this in 14 months and fortunately the package still seems to be current, so....

Note that you no longer need BuildRoot: or the first line of %install in Fedora.  You can probably remove them unless someone plans to update to drupal 6 in EPEL.

The license in the spec is still GPLv2, though it seems as though you intended 
to change it.

* source files match upstream.  sha256sum:                             
   d2defb65cc4572a24869dd0ff2d67c4876e2307b649a52b94cc16d7b2e858002
   workspace-6.x-1.4-rc1.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.                                                              
* description is OK.                                                          
* dist tag is present.
* build root is OK.
X license field does not match the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (none).
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   drupal-workspace = 6.x.1.4-0.rc1.fc12
  =
   drupal >= 6.0

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 5 Jason Tibbitts 2009-11-12 18:51:32 EST
I'm not sure what you changed.  The license field is still not correct (should be GPL+) , and the other bits like buildroot and the deletion of the buildroot in %install are still there (though I don't know if you intend to remove those).
Comment 6 Gwyn Ciesla 2009-11-13 09:38:46 EST
I changed the license tag to GPLv2+, since Version 2 is what's included and they say that or any later version. 

I don't want to remove the buildroot bit, in case someone wants this for EPEL.
Comment 7 Jason Tibbitts 2009-11-13 09:55:46 EST
Where do they say "that or any later version"?  That's what I asked in my first comment; you didn't answer.  I grepped for any string I could think of, but I could not find it.  I only see the standard GPL text with no statement of the license versioning in the code, which implies GPL+.  (I'm sure you've done enough reviews to know that the version of the GPL text included has no bearing on the version of the GPL the code is under.)

Also, I hope you know that EPEL doesn't have drupal 6, and thus this package can't be built for EPEL.
Comment 8 Gwyn Ciesla 2009-11-13 10:08:25 EST
Ok, I obviously got confused, it's not there.  Maybe it was in the original or something.  In any case, if Version 2 of the GPL is there, and there's no 'or later' anywhere, then it really ought to by GPLv2, not GPL+.  Agreed?
Comment 9 Jason Tibbitts 2009-11-13 10:11:40 EST
Definitely not agreed.  Please read the GPL text that's in the package, the last sentence of section 9 in particular.  If the source code does not indicate a GPL version, you may use any version ever published.  GPL+ is the proper license tag.
Comment 10 Gwyn Ciesla 2009-11-13 10:17:46 EST
Huh. I was not aware of that clause.  Learn something new every day.  Thanks for pointing that out. 

Fixed:


SRPM:
http://zanoni.jcomserv.net/fedora/drupal-workspace/drupal-workspace-6.x.1.4-2.rc1.fc11.src.rpm
SPEC: http://zanoni.jcomserv.net/fedora/drupal-workspace/drupal-workspace.spec
Comment 11 Jason Tibbitts 2009-11-13 11:10:09 EST
For reference, that is mentioned explicitly in the entry for GPL+ at http://fedoraproject.org/wiki/Licensing

APPROVED
Comment 12 Gwyn Ciesla 2009-11-13 12:05:38 EST
Thanks!

New Package CVS Request
=======================
Package Name: drupal-workspace
Short Description: Allows users to have a central place to view and manage their content
Owners: limb
Branches: F-12 F-11 F-10
InitialCC:
Comment 13 Jason Tibbitts 2009-11-13 14:39:44 EST
CVS done.
Comment 14 Fedora Update System 2009-11-13 16:24:13 EST
drupal-workspace-6.x.1.4-2.rc1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/drupal-workspace-6.x.1.4-2.rc1.fc11
Comment 15 Fedora Update System 2009-11-13 16:24:19 EST
drupal-workspace-6.x.1.4-2.rc1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/drupal-workspace-6.x.1.4-2.rc1.fc10
Comment 16 Fedora Update System 2009-11-13 16:24:24 EST
drupal-workspace-6.x.1.4-2.rc1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/drupal-workspace-6.x.1.4-2.rc1.fc12
Comment 17 Fedora Update System 2009-11-16 02:36:02 EST
drupal-workspace-6.x.1.4-2.rc1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-11-16 02:36:57 EST
drupal-workspace-6.x.1.4-2.rc1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-11-16 02:37:16 EST
drupal-workspace-6.x.1.4-2.rc1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.